<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AIHomeState extends \Google\Protobuf\Internal\Message
{
    


    protected $lastFetchTime = null;
    


    private $capabilityOptions;
    


    private $conversationOptions;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getLastFetchTime()
    {
        return isset($this->lastFetchTime) ? $this->lastFetchTime : 0;
    }

    public function hasLastFetchTime()
    {
        return isset($this->lastFetchTime);
    }

    public function clearLastFetchTime()
    {
        unset($this->lastFetchTime);
    }

    




    public function setLastFetchTime($var)
    {
        GPBUtil::checkInt64($var);
        $this->lastFetchTime = $var;

        return $this;
    }

    



    public function getCapabilityOptions()
    {
        return $this->capabilityOptions;
    }

    




    public function setCapabilityOptions($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\AIHomeState\AIHomeOption::class);
        $this->capabilityOptions = $arr;

        return $this;
    }

    



    public function getConversationOptions()
    {
        return $this->conversationOptions;
    }

    




    public function setConversationOptions($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\AIHomeState\AIHomeOption::class);
        $this->conversationOptions = $arr;

        return $this;
    }

}

